# DijkstraResult | data-structure-typed
Documentation for data-structure-typed

# Type alias DijkstraResult<V>

DijkstraResult<V>: {
distMap: Map<V, number>;
distPaths?: Map<V, V[]>;
minDist: number;
minPath: V[];
paths: V[][];
preMap: Map<V, V | null>;
seen: Set<V>;
} | null

#### Type Parameters

- #### V

#### Type declaration

- ##### distMap: Map<V, number>

- ##### `Optional` distPaths?: Map<V, V[]>

- ##### minDist: number

- ##### minPath: V[]

- ##### paths: V[][]

- ##### preMap: Map<V, V | null>

- ##### seen: Set<V>

- Defined in src/types/data-structures/abstract-graph.ts:3

Generated using TypeDoc